package payCommon

const (
	TEST_URL = ""
	PROD_URL = ""

	// 支付渠道枚举,1微信JSAPI，2微信H5，3微信app，4微信Native，5微信小程序，6支付宝网页&移动应用，7支付宝小程序，8支付宝JSAPI
	PAY_CHANNEL_UNKNOWN       = 0
	PAY_CHANNEL_WECHAT_JSAPI  = 1
	PAY_CHANNEL_WECHAT_H5     = 2
	PAY_CHANNEL_WECHAT_APP    = 3
	PAY_CHANNEL_WECHAT_NATIVE = 4
	PAY_CHANNEL_WECHAT_MINI   = 5
	PAY_CHANNEL_ALIPAY_WEB    = 6
	PAY_CHANNEL_ALIPAY_MINI   = 7
	PAY_CHANNEL_ALIPAY_JSAPI  = 8

	PAY_SUCCESS_CODE   = 200 //	支付响应成功
	PAY_ERROR_CODE     = 500 //	支付响应失败
	PAY_NOT_FOUND_CODE = 404 //	未找到支付渠道

	WX_SUCCESS_CODE = 200 //	微信状态码返回成功

	WX_NOTIFY_URL_TEST  = TEST_URL + "/v1/notify/wx/appId"  //	微信支付回调地址
	WX_NOTIFY_URL_PROD  = PROD_URL + "/v1/notify/wx/appId"  //	微信支付回调地址
	ALI_NOTIFY_URL_TEST = TEST_URL + "/v1/notify/ali/appId" //	支付宝支付回调地址
	ALI_NOTIFY_URL_PROD = PROD_URL + "/v1/notify/ali/appId" //	支付宝支付回调地址

	ORDER_NO_TYPE_ORDER_NO = 2

	PAY_CHANNLE_TYPE_WECHAT = 1 //	支付类型： 微信
	PAY_CHANNLE_TYPE_ZFB    = 2 //	支付类型：支付宝

	PAY_REFUND_STATU_COMMON  = 0 //	未申请
	PAY_REFUND_STATU_ING     = 1 //	退款中
	PAY_REFUND_STATU_SUCCESS = 2 //	退款成功
	PAY_REFUND_STATU_FAIL    = 3 //	退款失败
)
